Subject: Re: [PATCH v3 0/7] grep.c: teach --column to 'git-grep(1)'

From: Taylor Blau <[email-masked]>
Date: Mon, 25 Jun 2018 13:47:29 -0500

On Mon, Jun 25, 2018 at 02:43:50PM -0400, Jeff King wrote:
> On Fri, Jun 22, 2018 at 10:49:26AM -0500, Taylor Blau wrote:
> > Since the last time, only a couple of things have changed at Peff's
> > suggestions in [1]. The changes are summarized here, and an inter-diff
> > is available below:
> >
> >   - Change "%zu" to PRIuMAX (and an appropriate cast into uintmax_t). I
> >     plan to send a follow-up patch to convert this back to "%zu" to see
> >     how people feel about it, but I wanted to keep that out of the
> >     present series in order to not hold things up.
> >
> >   - Don't short-circuit AND when given --column, since an earlier NOT
> >     higher in the tree may cause an AND to be converted into an OR via
> >     de Morgan's Law, in which case the problem is reduced to the OR case
> >     (and should not have been short-circuited in the first place).
> >
> >   - Add a test in t7810 to cover this behavior (i.e., '--not \( -e x
> >     --and -e y \)').
>
> Jinxes aside, this interdiff looks good to me.

Thanks; I hope that I haven't jinxed anything :-).

I'm going to avoid sending the PRIuMAX -> "%zu" patch, since dscho
points out that it's not available on Windows [1].

Thanks,
Taylor

[1]: https://public-inbox.org/git/[email-masked]/